# gulp-strap

Basic bootstrapping for some gulp tasks

## Example

    var strap      = require("gulp-strap"),
        browserify = strap.browserify,
        less       = strap.less;

    /*
     * browserify
     */

    var _js = path.resolve(__dirname, "assets/javascripts");
    var js_ = path.resolve(__dirname, "public/js");

    gulp.task("browserify", browserify(_js, js_, {}));

    /*
     * less
     */

    var _less = path.resolve(__dirname, "assets/stylesheets");
    var less_ = path.resolve(__dirname, "public/css");

    gulp.task("less", less(_less, less_));

---

Multiple bundles can be done like so:

    gulp.task("browserify", browserify(_js, js_, [
      {main: "index.js", out: "public.js"},
      {main: "admin.js", out: "admin.js"}
    ]));

## License

MIT
