/* jshint node: true */
var path = require("path");
var gulp = require("gulp");
var less = require("gulp-less");
var LessAutoPrefix = require('less-plugin-autoprefix');
var minifycss = require('gulp-minify-css');

// TODO some sane way to configure this
module.exports = function (src, dest) {
  return function() {
    var ap = new LessAutoPrefix({
      browsers: ["last 2 versions"]
    });

    var cfg = {
      plugins: [ap]
    };

    return gulp.src(path.join(src, "**/*.less"))
      .pipe(less(cfg))
      .pipe(minifycss({keepSpecialComments: 0}))
      .pipe(gulp.dest(dest));
  };
};
